Subject: Re: bug#30874: 27.0.50; Emacs crashes

From: Robert Pluim <[email-masked]>
Date: Tue, 27 Mar 2018 00:16:37 +0200

Robert Pluim <[email-masked]> writes:

> You're in a maze of twisty pointers, all subtly different and
> half-opaque. I may end up having to build my own Xft lib.

Eli nailed it in about the 2nd message of this thread.

I added some debug to libXft. When the set-fonset-font is executed,
Xft loads /usr/share/fonts/eosrei-emojione/emojione-android.ttf. Some
of the glyphs in that font cause Xft to allocate 16384 bytes of bitmap
buffer, which is what causes the problems [1]. If I move that font out
of the way I get no crash. I think we're back to a
variant of Bug #30045.

Robert

Footnotes: 
[1]  Is Xft *really* this fragile?